
%define _prefix		/usr
%define _setuptoolsver	0.6c11
Name:				python-distribute
Version:			0.6.28
Release:			10.1
Summary:			Python distribute/setuptools Module
Source:				http://pypi.python.org/packages/source/d/distribute/distribute-%{version}.tar.gz
URL:				http://pypi.python.org/pypi/distribute/%{version}
Group:				Development/Libraries/Python
License:			Python License
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
%if 0%{?suse_version}
%py_requires
%endif
Obsoletes:			python-setuptools
Provides:			python-setuptools = %{version}
Provides:			python-setuptools = %{_setuptoolsver}
Requires:			python >= %{py_ver} redhat-rpm-config
BuildRequires:			python-devel
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif

%description
setuptools is a collection of enhancements to the Python distutils (for Python
2.3.5 and up on most platforms; 64-bit platforms require a minimum of Python
2.4) that allow you to more easily build and distribute Python packages,
especially ones that have dependencies on other packages.

Packages built and distributed using setuptools look to the user like ordinary
Python packages based on the distutils. Your users don't need to install or
even know about setuptools in order to use them, and you don't have to include
the entire setuptools package in your distributions. By including just a
single bootstrap module (an 8K .py file), your package will automatically
download and install setuptools if the user is building your package from
source and doesn't have a suitable version already installed.

%prep
%setup -q -n distribute-%{version}

%build
%__python ./setup.py build

%install
%__python ./setup.py install \
	--root="%{buildroot}" \
	--prefix=%{_prefix} \
	--install-lib="%{py_sitedir}"

%if 0%{?suse_version} > 1020
# create hardlinks for the rest
%fdupes %{buildroot}
%endif

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/easy_install*
%{py_sitedir}/easy_install.*
%{py_sitedir}/pkg_resources.*
%{py_sitedir}/site.*
%dir %{py_sitedir}/setuptools
%{py_sitedir}/setuptools/*
%dir %{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info
%{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info/PKG-INFO
%{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info/SOURCES.txt
%{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info/dependency_links.txt
%{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info/entry_points.txt
%{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info/top_level.txt
%if 0%{?suse_version} >= 1020 || 0%{?centos_version} >= 6 || 0%{?rhel_version} >= 600  || 0%{?sl_version} >= 600 || 0%{?fedora_version}
%{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info/zip-safe
%else
%{py_sitedir}/distribute-%{version}-py%{py_ver}.egg-info/not-zip-safe
%endif
%if 0%{?suse_version}
%{py_sitedir}/setuptools-%{_setuptoolsver}-py%{py_ver}.egg-info
%{py_sitedir}/setuptools.pth
%endif

%changelog
* Sat Oct 13 2012 cs@linux-administrator.com
- update to distribute 0.6.28
